<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    isDark: { type: Boolean, required: true },
    isColourBlind: { type: Boolean, required: true },
    showNotes: { type: Boolean, required: true },
  },
});
</script>
<template>
  <div class="settings">
    <h1 class="title">
      <div>Settings</div>
      <i class="close fa-solid fa-xmark fa-lg" @click="$emit('onClose')"></i>
    </h1>

    <div class="setting">
      <div>Dark Theme</div>
      <label class="switch">
        <input
          type="checkbox"
          :checked="isDark"
          @click="$emit('flipDarkTheme')"
        />
        <span class="slider"></span>
      </label>
    </div>
    <div class="setting">
      <div class="text">Colour Bind Friendly</div>
      <label class="switch">
        <input
          type="checkbox"
          :checked="isColourBlind"
          @click="$emit('flipColourBlind')"
        />
        <span class="slider"></span>
      </label>
    </div>
    <div class="setting">
      <div class="text">Show Notes</div>
      <label class="switch">
        <input
          type="checkbox"
          :checked="showNotes"
          @click="$emit('flipShowNotes')"
        />
        <span class="slider"></span>
      </label>
    </div>
  </div>
</template>
<style scoped>
.settings {
  max-width: 468px;
  margin: 0 auto;
  padding: 0 1em;
  font-size: 14px;
  font-family: "Clear Sans", "Helvetica Neue", Arial, sans-serif;
}

.title {
  font-size: 16px;
  margin: 1em 0 1.2em;
  text-transform: uppercase;
  text-align: center;
  padding: 0;
}

.setting {
  border-bottom: 1px solid #d3d6da;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px 0;
}

.close {
  float: right;
  margin-top: -9px;
  cursor: pointer;
}

.switch {
  position: relative;
  display: inline-block;
  width: 30px;
  height: 17px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 17px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 13px;
  width: 13px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 50%;
}

input:checked + .slider {
  background-color: var(--correct);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--correct);
}

input:checked + .slider:before {
  -webkit-transform: translateX(13px);
  -ms-transform: translateX(13px);
  transform: translateX(13px);
}
</style>
